This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 974822 - [abrt] httpd-tools-2.4.4-3.fc18: mkhash: Process /usr/bin/htpasswd was killed by signal 11 (SIGSEGV)
[abrt] httpd-tools-2.4.4-3.fc18: mkhash: Process /usr/bin/htpasswd was killed...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: httpd (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Joe Orton
Fedora Extras Quality Assurance
abrt_hash:a04aed159e17435b034ab7206fa...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-16 03:45 EDT by Antoine Jouve
Modified: 2013-10-21 17:33 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-21 17:33:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (8.65 KB, text/plain)
2013-06-16 03:45 EDT, Antoine Jouve
no flags Details
File: cgroup (130 bytes, text/plain)
2013-06-16 03:45 EDT, Antoine Jouve
no flags Details
File: core_backtrace (228 bytes, text/plain)
2013-06-16 03:45 EDT, Antoine Jouve
no flags Details
File: dso_list (1.13 KB, text/plain)
2013-06-16 03:45 EDT, Antoine Jouve
no flags Details
File: environ (2.88 KB, text/plain)
2013-06-16 03:45 EDT, Antoine Jouve
no flags Details
File: limits (1.29 KB, text/plain)
2013-06-16 03:45 EDT, Antoine Jouve
no flags Details
File: maps (5.96 KB, text/plain)
2013-06-16 03:45 EDT, Antoine Jouve
no flags Details
File: open_fds (105 bytes, text/plain)
2013-06-16 03:45 EDT, Antoine Jouve
no flags Details
File: proc_pid_status (944 bytes, text/plain)
2013-06-16 03:45 EDT, Antoine Jouve
no flags Details
File: var_log_messages (323 bytes, text/plain)
2013-06-16 03:45 EDT, Antoine Jouve
no flags Details

  None (edit)
Description Antoine Jouve 2013-06-16 03:45:22 EDT
Description of problem:
This bug happened while I was creating a new .htpasswd file using the command htpasswd -c -d .htpasswd MyUsername .
When I typed my password which was longer than 8 characters, the programm returned "Warning: Password truncated to 8 characters by CRYPT algorithm." and I obtained a segfault.

Version-Release number of selected component:
httpd-tools-2.4.4-3.fc18

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        htpasswd -c -d users.passwd antoine
crash_function: mkhash
executable:     /usr/bin/htpasswd
kernel:         3.9.5-201.fc18.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (2 frames)
 #1 mkhash at passwd_common.c:215
 #2 mkrecord at htpasswd.c:80
Comment 1 Antoine Jouve 2013-06-16 03:45:27 EDT
Created attachment 761765 [details]
File: backtrace
Comment 2 Antoine Jouve 2013-06-16 03:45:30 EDT
Created attachment 761766 [details]
File: cgroup
Comment 3 Antoine Jouve 2013-06-16 03:45:33 EDT
Created attachment 761767 [details]
File: core_backtrace
Comment 4 Antoine Jouve 2013-06-16 03:45:36 EDT
Created attachment 761768 [details]
File: dso_list
Comment 5 Antoine Jouve 2013-06-16 03:45:40 EDT
Created attachment 761769 [details]
File: environ
Comment 6 Antoine Jouve 2013-06-16 03:45:43 EDT
Created attachment 761770 [details]
File: limits
Comment 7 Antoine Jouve 2013-06-16 03:45:46 EDT
Created attachment 761771 [details]
File: maps
Comment 8 Antoine Jouve 2013-06-16 03:45:49 EDT
Created attachment 761772 [details]
File: open_fds
Comment 9 Antoine Jouve 2013-06-16 03:45:53 EDT
Created attachment 761773 [details]
File: proc_pid_status
Comment 10 Antoine Jouve 2013-06-16 03:45:56 EDT
Created attachment 761774 [details]
File: var_log_messages
Comment 11 Joe Orton 2013-10-21 17:33:14 EDT
This is fixed in 2.4.6.

Note You need to log in before you can comment on or make changes to this bug.